# Generated by Django 3.2.6 on 2021-08-20 14:02

import wagtail.blocks
import wagtail.fields
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("elections2021", "0043_auto_20210820_1443"),
    ]

    operations = [
        migrations.AlterField(
            model_name="elections2021programinnutshellpage",
            name="body",
            field=wagtail.fields.RichTextField(
                blank=True, null=True, verbose_name="obsah"
            ),
        ),
        migrations.AlterField(
            model_name="elections2021programinnutshellpage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "section",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(label="nadpis"),
                                ),
                                (
                                    "items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "text",
                                                    wagtail.blocks.TextBlock(
                                                        label="text"
                                                    ),
                                                ),
                                                (
                                                    "points",
                                                    wagtail.blocks.ListBlock(
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "title",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="titulek"
                                                                    ),
                                                                ),
                                                                (
                                                                    "point",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="programový bod",
                                                                        page_type=[
                                                                            "elections2021.Elections2021ProgramPointPage"
                                                                        ],
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                        label="programové body",
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="bloky",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="sekce",
            ),
        ),
    ]
